OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2006-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries

Description

This module corresponds to section 7.2 (Shader Binaries) of the OpenGL 4.4 spec.

# Documentation

newtype ShaderBinaryFormat Source #

Constructors

ShaderBinaryFormat GLenum |

#### Instances

Instances details

Show ShaderBinaryFormat Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries Methods showsPrec :: Int -> ShaderBinaryFormat -> ShowS Source # show :: ShaderBinaryFormat -> String Source # showList :: [ShaderBinaryFormat] -> ShowS Source #
Eq ShaderBinaryFormat Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries Methods (==) :: ShaderBinaryFormat -> ShaderBinaryFormat -> Bool Source # (/=) :: ShaderBinaryFormat -> ShaderBinaryFormat -> Bool Source #
Ord ShaderBinaryFormat Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries

Methods

compare :: ShaderBinaryFormat -> ShaderBinaryFormat -> Ordering Source #

(<) :: ShaderBinaryFormat -> ShaderBinaryFormat -> Bool Source #

(<=) :: ShaderBinaryFormat -> ShaderBinaryFormat -> Bool Source #

(>) :: ShaderBinaryFormat -> ShaderBinaryFormat -> Bool Source #

(>=) :: ShaderBinaryFormat -> ShaderBinaryFormat -> Bool Source #

max :: ShaderBinaryFormat -> ShaderBinaryFormat -> ShaderBinaryFormat Source #

min :: ShaderBinaryFormat -> ShaderBinaryFormat -> ShaderBinaryFormat Source #

shaderBinaryFormats :: GettableStateVar [ShaderBinaryFormat] Source #

data ShaderBinary Source #

Constructors

ShaderBinary ShaderBinaryFormat ByteString |

#### Instances

Instances details

Show ShaderBinary Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries Methods showsPrec :: Int -> ShaderBinary -> ShowS Source # show :: ShaderBinary -> String Source # showList :: [ShaderBinary] -> ShowS Source #
Eq ShaderBinary Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries Methods (==) :: ShaderBinary -> ShaderBinary -> Bool Source # (/=) :: ShaderBinary -> ShaderBinary -> Bool Source #
Ord ShaderBinary Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries

Methods

compare :: ShaderBinary -> ShaderBinary -> Ordering Source #

(<) :: ShaderBinary -> ShaderBinary -> Bool Source #

(<=) :: ShaderBinary -> ShaderBinary -> Bool Source #

(>) :: ShaderBinary -> ShaderBinary -> Bool Source #

(>=) :: ShaderBinary -> ShaderBinary -> Bool Source #

max :: ShaderBinary -> ShaderBinary -> ShaderBinary Source #

min :: ShaderBinary -> ShaderBinary -> ShaderBinary Source #

shaderBinary :: [Shader] -> SettableStateVar ShaderBinary Source #